{% load i18n %}

{{ form.non_field_errors }}

{% if form.non_field_errors and not form.visible_fields %}
    <div class="hidden_fields">
        {% for field in form.hidden_fields %}
            {{ field }}
        {% endfor %}
    </div>
{% endif %}

<div class="row align-items-center mb-5">
    {% for field in form.visible_fields %}
        <div class="col-6 mb-3">
            <div class="input-group">
                {{ field.errors }}
                
                <label for="{{ field.id_for_label }}" class="input-group-text">{{ field.label }}</label>

                {% if field.widget_type == "checkbox" %}
                    <div class="form-control">
                        {{ field }}
                    </div>
                {% else %}
                    {{ field }}
                {% endif %}
                

                
                {% if field.help_text %}
                    <small class="form-text text-muted" aria-description="{% translate "Help text for previous form field" %}">
                        {{ field.help_text }}
                    </small>
                {% endif %}

                <div class="hidden_fields">
                    {% if forloop.last %}
                        {% for field in form.hidden_fields %}
                            {{ field }}
                        {% endfor %}
                    {% endif %}
                </div>
                
            </div>
            
        </div>
    {% endfor %}
    
</div>

{% if not form.visible_fields and not self.non_field_errors %}
    <div class="hidden_fields">
        {% for field in hidden_fields %}
            {{ field }}
        {% endfor %}
    </div>
{% endif %}
